org.wildfly.swarm.config.elytron

## Class SecurityDomain<T extends SecurityDomain<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.SecurityDomain<T>

-     public class SecurityDomain<T extends SecurityDomain<T>>
      extends Object

  A security domain definition.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityDomain(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `defaultRealm()` The default realm contained by this security domain.
    `T` | `defaultRealm(String value)` The default realm contained by this security domain.
    `String` | `getKey()`
    `Boolean` | `outflowAnonymous()` When outflowing to a security domain if outflow is not possible should the anonymous identity be used? Outflowing anonymous has the effect of clearing any identity already established for that domain.
    `T` | `outflowAnonymous(Boolean value)` When outflowing to a security domain if outflow is not possible should the anonymous identity be used? Outflowing anonymous has the effect of clearing any identity already established for that domain.
    `T` | `outflowSecurityDomain(String value)` The list of security domains that the security identity from this domain should automatically outflow to.
    `List<String>` | `outflowSecurityDomains()` The list of security domains that the security identity from this domain should automatically outflow to.
    `T` | `outflowSecurityDomains(List<String> value)` The list of security domains that the security identity from this domain should automatically outflow to.
    `T` | `outflowSecurityDomains(String... args)` The list of security domains that the security identity from this domain should automatically outflow to.
    `String` | `permissionMapper()` A reference to a PermissionMapper to be used by this domain.
    `T` | `permissionMapper(String value)` A reference to a PermissionMapper to be used by this domain.
    `String` | `postRealmPrincipalTransformer()` A reference to a principal transformer to be applied after the realm has operated on the supplied identity name.
    `T` | `postRealmPrincipalTransformer(String value)` A reference to a principal transformer to be applied after the realm has operated on the supplied identity name.
    `String` | `preRealmPrincipalTransformer()` A reference to a principal transformer to be applied before the realm is selected.
    `T` | `preRealmPrincipalTransformer(String value)` A reference to a principal transformer to be applied before the realm is selected.
    `String` | `principalDecoder()` A reference to a PrincipalDecoder to be used by this domain.
    `T` | `principalDecoder(String value)` A reference to a PrincipalDecoder to be used by this domain.
    `T` | `realm(Map value)` The list of realms contained by this security domain.
    `String` | `realmMapper()` Reference to the RealmMapper to be used by this domain.
    `T` | `realmMapper(String value)` Reference to the RealmMapper to be used by this domain.
    `List<Map>` | `realms()` The list of realms contained by this security domain.
    `T` | `realms(List<Map> value)` The list of realms contained by this security domain.
    `T` | `realms(Map... args)` The list of realms contained by this security domain.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `roleMapper()` Reference to the RoleMapper to be used by this domain.
    `T` | `roleMapper(String value)` Reference to the RoleMapper to be used by this domain.
    `String` | `securityEventListener()` Reference to a listener for security events.
    `T` | `securityEventListener(String value)` Reference to a listener for security events.
    `T` | `trustedSecurityDomain(String value)` The list of security domains that are trusted by this security domain.
    `List<String>` | `trustedSecurityDomains()` The list of security domains that are trusted by this security domain.
    `T` | `trustedSecurityDomains(List<String> value)` The list of security domains that are trusted by this security domain.
    `T` | `trustedSecurityDomains(String... args)` The list of security domains that are trusted by this security domain.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecurityDomain

          public SecurityDomain(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### defaultRealm

          public String defaultRealm()

      The default realm contained by this security domain.

    - #### defaultRealm

          public T defaultRealm(String value)

      The default realm contained by this security domain.

    - #### outflowAnonymous

          public Boolean outflowAnonymous()

      When outflowing to a security domain if outflow is not possible should the anonymous identity be used? Outflowing anonymous has the effect of clearing any identity already established for that domain.

    - #### outflowAnonymous

          public T outflowAnonymous(Boolean value)

      When outflowing to a security domain if outflow is not possible should the anonymous identity be used? Outflowing anonymous has the effect of clearing any identity already established for that domain.

    - #### outflowSecurityDomains

          public List<String> outflowSecurityDomains()

      The list of security domains that the security identity from this domain should automatically outflow to.

    - #### outflowSecurityDomains

          public T outflowSecurityDomains(List<String> value)

      The list of security domains that the security identity from this domain should automatically outflow to.

    - #### outflowSecurityDomain

          public T outflowSecurityDomain(String value)

      The list of security domains that the security identity from this domain should automatically outflow to.

    - #### outflowSecurityDomains

          public T outflowSecurityDomains(String... args)

      The list of security domains that the security identity from this domain should automatically outflow to.

    - #### permissionMapper

          public String permissionMapper()

      A reference to a PermissionMapper to be used by this domain.

    - #### permissionMapper

          public T permissionMapper(String value)

      A reference to a PermissionMapper to be used by this domain.

    - #### postRealmPrincipalTransformer

          public String postRealmPrincipalTransformer()

      A reference to a principal transformer to be applied after the realm has operated on the supplied identity name.

    - #### postRealmPrincipalTransformer

          public T postRealmPrincipalTransformer(String value)

      A reference to a principal transformer to be applied after the realm has operated on the supplied identity name.

    - #### preRealmPrincipalTransformer

          public String preRealmPrincipalTransformer()

      A reference to a principal transformer to be applied before the realm is selected.

    - #### preRealmPrincipalTransformer

          public T preRealmPrincipalTransformer(String value)

      A reference to a principal transformer to be applied before the realm is selected.

    - #### principalDecoder

          public String principalDecoder()

      A reference to a PrincipalDecoder to be used by this domain.

    - #### principalDecoder

          public T principalDecoder(String value)

      A reference to a PrincipalDecoder to be used by this domain.

    - #### realmMapper

          public String realmMapper()

      Reference to the RealmMapper to be used by this domain.

    - #### realmMapper

          public T realmMapper(String value)

      Reference to the RealmMapper to be used by this domain.

    - #### realms

          public List<Map> realms()

      The list of realms contained by this security domain.

    - #### realms

          public T realms(List<Map> value)

      The list of realms contained by this security domain.

    - #### realm

          public T realm(Map value)

      The list of realms contained by this security domain.

    - #### realms

          public T realms(Map... args)

      The list of realms contained by this security domain.

    - #### roleMapper

          public String roleMapper()

      Reference to the RoleMapper to be used by this domain.

    - #### roleMapper

          public T roleMapper(String value)

      Reference to the RoleMapper to be used by this domain.

    - #### securityEventListener

          public String securityEventListener()

      Reference to a listener for security events.

    - #### securityEventListener

          public T securityEventListener(String value)

      Reference to a listener for security events.

    - #### trustedSecurityDomains

          public List<String> trustedSecurityDomains()

      The list of security domains that are trusted by this security domain.

    - #### trustedSecurityDomains

          public T trustedSecurityDomains(List<String> value)

      The list of security domains that are trusted by this security domain.

    - #### trustedSecurityDomain

          public T trustedSecurityDomain(String value)

      The list of security domains that are trusted by this security domain.

    - #### trustedSecurityDomains

          public T trustedSecurityDomains(String... args)

      The list of security domains that are trusted by this security domain.

Copyright © 2018 JBoss by Red Hat. All rights reserved.